tools

## Class ElapsedCpuTimer

- java.lang.Object
- - tools.ElapsedCpuTimer

-     public class ElapsedCpuTimer
      extends java.lang.Object

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `ElapsedCpuTimer.TimerType`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `ElapsedCpuTimer.TimerType` | `type`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ElapsedCpuTimer()`
    `ElapsedCpuTimer(ElapsedCpuTimer.TimerType type)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `long` | `elapsed()`
    `double` | `elapsedHours()`
    `long` | `elapsedMillis()`
    `double` | `elapsedMinutes()`
    `long` | `elapsedNanos()`
    `double` | `elapsedSeconds()`
    `boolean` | `exceededMaxTime()`
    `long` | `remainingTimeMillis()`
    `void` | `reset()`
    `void` | `setMaxTimeMillis(long time)`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### type

          public ElapsedCpuTimer.TimerType type

  - ### Constructor Detail

    - #### ElapsedCpuTimer

          public ElapsedCpuTimer(ElapsedCpuTimer.TimerType type)

    - #### ElapsedCpuTimer

          public ElapsedCpuTimer()

  - ### Method Detail

    - #### elapsed

          public long elapsed()

    - #### elapsedNanos

          public long elapsedNanos()

    - #### elapsedMillis

          public long elapsedMillis()

    - #### elapsedSeconds

          public double elapsedSeconds()

    - #### elapsedMinutes

          public double elapsedMinutes()

    - #### elapsedHours

          public double elapsedHours()

    - #### reset

          public void reset()

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### setMaxTimeMillis

          public void setMaxTimeMillis(long time)

    - #### remainingTimeMillis

          public long remainingTimeMillis()

    - #### exceededMaxTime

          public boolean exceededMaxTime()